Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface ActiveOutFileC

All Known Implementing Classes:
  ActiveOutFileCImpl

public interface ActiveOutFileC
extends MessageProbeC, MessageProbeS

An object that actively updates its file stream when updated.. This is the file I/O equivalent of ActiveGraph: it takes an OutFile object, a target (datafeed) object, and a selector, which it uses to extract data from the object and send it to the file.

Method Summary
`java.lang.Object` | `setDataFeed(java.lang.Object d)` The setDataFeed: method sets the object that will be probed for data.
`java.lang.Object` | `setFileObject(java.lang.Object aFileObj)` The setFileObject: method sets the file object to which the data will be sent.
`java.lang.Object` | `setHDF5Dataset(HDF5 hdf5Dataset)` Sets an extensible HDF5 dataset that data will be appended.

Methods inherited from interface swarm.objectbase.MessageProbeC
`create$setProbedSelector, setProbedMethodName, setProbedSelector`

Methods inherited from interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods inherited from interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Method Detail

### setFileObject

    public java.lang.Object setFileObject(java.lang.Object aFileObj)

  The setFileObject: method sets the file object to which the data will be sent.

### setHDF5Dataset

    public java.lang.Object setHDF5Dataset(HDF5 hdf5Dataset)

  Sets an extensible HDF5 dataset that data will be appended.

### setDataFeed

    public java.lang.Object setDataFeed(java.lang.Object d)

  The setDataFeed: method sets the object that will be probed for data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD